Subject: Re: [bitcoin-dev] 32-byte public keys in Schnorr and Taproot

From: Christopher Allen <[email-masked]>
Date: Fri, 9 Aug 2019 11:37:13 -0700

On Fri, Aug 9, 2019 at 11:17 AM Pieter Wuille via bitcoin-dev <
[email-masked]> wrote:

> if we're going to change things, it's perhaps best to do it as cleanly as
> possible and also drop that byte.
>

I personally lean toward just dropping the byte. I like the simplicity and
I really like 32 bytes. 33 seems so over the edge and so odd ;-)

Yes, there may be some prototype implementations out there that did some
extra work, and will need to be revised, but that is always the risk
developers take when writing code when the spec hasn't fully been
implemented yet.

If you do revise the spec, would you consider proposing a format for
sharing public keys in a non-binary form, maybe using bech32? Given some of
the protocols emerging that may use Schnorr public keys in novel ways,
having a single encoding format for them would be useful.

-- Christopher Allen